using System;
using ceTe.DynamicPDF;
using Consulenza.ReportWriter.Business.Entity;

namespace Consulenza.ReportWriter.Business.OBJ_PDF
{
    public class CircleRealPDF : ObjectPDF
    {
        private ColorPDF _color = new ColorPDF(232, 236, 237);
        private LineStylePDF _borderStyle = LineStylePDF.Solid;

        public ceTe.DynamicPDF.PageElements.Circle BaseElement { get; set; }

        public float X { get; set; }

        public float Y { get; set; }

        public float Radius { get; set; }

        public float DeltaY { get; set; }

        public float DeltaX { get; set; }
        public ColorPDF Color
        {
            get { return _color; }
            set { _color = value; }
        }

        public CircleRealPDF()
        {
            X = 0;
            Y = 0;
            Radius = 3;
            DeltaY = 0;
            DeltaX = 0;
            ObjectType = ObjectTypePdf.CIRCLEREAL;
        }

        public CircleRealPDF(float radius, ColorPDF color) : this()
        {
            Radius = radius;
            Color = color;   
        }

        public override PageElement ToElement()
        {
            return BaseElement;
        }
    }
}
